Create resource.
curl --request POST \
--url https://api.revong.com/api/v1/resources \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"restricted": true,
"active": true,
"desc": "<string>",
"category": "<string>",
"type": "<string>",
"metaSchemaId": "<string>",
"groups": [
"<string>"
],
"users": [
"<string>"
],
"parentId": "<string>"
}
'import requests
url = "https://api.revong.com/api/v1/resources"
payload = {
"name": "<string>",
"restricted": True,
"active": True,
"desc": "<string>",
"category": "<string>",
"type": "<string>",
"metaSchemaId": "<string>",
"groups": ["<string>"],
"users": ["<string>"],
"parentId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
restricted: true,
active: true,
desc: '<string>',
category: '<string>',
type: '<string>',
metaSchemaId: '<string>',
groups: ['<string>'],
users: ['<string>'],
parentId: '<string>'
})
};
fetch('https://api.revong.com/api/v1/resources', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Resources
Create resource.
ROLES: RESOURCE_WRITE,RESOURCE_ADMIN USER: true SERVICE ACCOUNT: true
POST
/
api
/
v1
/
resources
Create resource.
Authorizations
Bearer token with Platform JWT token or API Key.
Body
application/json
Name.
Provide if access should be restricted.
Provide if should be active/visible to users.
Description.
Category.
You can provide type of resource (view schema) [DATA,BIG_DATA,TABLE,BIG_TABLE].
You must set default schematic from schema.
Provide which groups should have access to it, once restricted is true.
Provide which users should have access to it, once restricted is true.
Provide if resource has parent resource.
Response
OK.
⌘I

